namespace Valg.EVA.Skanning.Commands.CreateCountingResult
{
    public class CreateCountingResultCommandResult
    {
        public static CreateCountingResultCommandResult Success(int transferJobId)
        {
            return new CreateCountingResultCommandResult
            {
                TransferJobId = transferJobId
            };
        }
        public static CreateCountingResultCommandResult Fail()
        {
            return new CreateCountingResultCommandResult
            {
                Failed = true
            };
        }
        public bool Failed { get; private set; }
        public int TransferJobId { get; private set; }
    }
}
